Error al instalar el VmWare en Ubuntu 7

Imagen de raul_toled
0 puntos

hola este es el error que me da al intentar instalar el VmWare

 
Using 2.6.x kernel build system.
make: se ingresa al directorio `/tmp/vmware-config3/vmmon-only'
make -C /lib/modules/2.6.20-15-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: se ingresa al directorio `/usr/src/linux-headers-2.6.20-15-generic'
  CC [M]  /tmp/vmware-config3/vmmon-only/linux/driver.o
In file included from /tmp/vmware-config3/vmmon-only/linux/driver.c:80:
/tmp/vmware-config3/vmmon-only/./include/compat_kernel.h:21: error: expected declaration specifiers or ‘...’ before ‘compat_exit’
/tmp/vmware-config3/vmmon-only/./include/compat_kernel.h:21: error: expected declaration specifiers or ‘...’ before ‘exit_code’
/tmp/vmware-config3/vmmon-only/./include/compat_kernel.h:21: aviso: el tipo de dato por defecto es ‘int’ en la declaración de ‘_syscall1’
make[2]: *** [/tmp/vmware-config3/vmmon-only/linux/driver.o] Error 1
make[1]: *** [_module_/tmp/vmware-config3/vmmon-only] Error 2
make[1]: se sale del directorio `/usr/src/linux-headers-2.6.20-15-generic'
make: *** [vmmon.ko] Error 2
make: se sale del directorio `/tmp/vmware-config3/vmmon-only'
Unable to build the vmmon module.

 

He realizado un monton de cosas, parchear el vmmon, y seguir un par de manuales para instalarlo. El error lo daba en el vmmon pero ahora lo da algo mas arriba. Creo que vino despues de hacer esto    export CC=/usr/bin/gcc-3.4     que leí en uno de los manuales para instalarlo en ubuntu 6 (yo tengo la 7) 

Espero me solucioneis el problema o me deis alguna idea de que hacer

Gracias 

 

 

Imagen de ToniS
+1
0
-1

Hola,

Puedes encontrar el procedimiento que seguí para instalarlo en 6.10 aquí http://www.ubuntu-es.org/index.php?q=node/38248.

No lo he probado en 7.04, pero espero que te funcione.

+1
0
-1